package org.rcisoft.sys.doordeviceinfo.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.core.entity.CyIdNotDataEntity;
import org.springframework.data.annotation.Transient;

/**
 * Created with cy on 2022年12月23日 下午2:04:50.
 */
@Data
@TableName("door_device_info")
public class DoorDeviceInfo extends CyIdIncreEntity<DoorDeviceInfo> {
    //id
    private Integer id;

    //设备所在地址中文
    private String deviceAddressLabel;

    //排序
    @Transient
    private String px;

    //标记异常（0 异常 1非异常）
    private String abnormal;

    @Transient
    /**
     * @desc 设备上报数据类型
     * open:开门
     * close:关门
     * warn:警告
     * up:设备上线
     * down:设备下线
     * @column data_type
     * @default
     */
    private String dataType;

    /**
     * 开始时间
     */
    @Transient
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String beginTime;

    //结束时间
    @Transient
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String endTime;

    /**
     * @desc 设备imei码
     * @column device_imei
     * @default
     */
    private String deviceImei;
    /**
     * @desc 设备名称
     * @column device_name
     * @default
     */
    private String deviceName;
    /**
     * @desc 设备所在地址
     * @column device_address
     * @default
     */
    private String deviceAddress;
    /**
     * @desc 设备所在区域
     * @column device_area
     * @default
     */
    private String deviceArea;
    /**
     * @desc 设备所在点位
     * @column device_point
     * @default
     */
    private String devicePoint;

}

